Summary: generic support framework for Dan Bernstein's daemontools package
%define name e-smith-daemontools
Name: %{name}
%define version 1.6.0
%define release 02
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-daemontools-1.6.0-02.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: daemontools >= 0.70
Requires: supervise-scripts >= 3.3-1es1
AutoReqProv: no

%changelog
* Thu Jul  3 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-02]
- Roll back 1.5.0-04, it breaks too many things [charlieb 8819]
- Change Copyright header to License.

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Changing version to stable stream number - 1.6.0

* Thu Jun 26 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-04]
- Change start() and stop() so they use svc-{start,stop} to ensure
  orderly startup/shutdown of log processes [gordonr 8819]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-03]
- Changed stop function to signal the process only once. Multiple signals can
  actually interfere with the shutdown process. [msoulier 6968]

* Wed Apr  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-02]
- Stop function now waits on daemon to shut down, for up to 60 seconds.
  [msoulier 6968]

* Wed Apr  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-01]
- roll to dev version to 1.5.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Roll to maintained version number to 1.4.0

* Fri Jun 28 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.2-01]
- Remove bogus e-smith-base requirement.

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-01]
- Checkin for test build after CVS conversion.

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-03.

* Mon Oct 22 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-03]
- Fixed checking for running processes.

* Fri Aug 17 2001 gordonr
- [1.2.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-02.

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-02]
- added e-smith header to files

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- initial release

%description
Provide support framework for Dan Bernstein's daemontools package.

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
